
.footer__container {
  border-top: 2px solid #f8f8f8;
  padding-top: 50px;
  display: grid;
  grid-template-columns: max-content 1fr max-content;
  gap: 40px 126px;
  grid-template-areas: 
  'logo social contact'
  'copyright . developer';
}

.footer__logo{
  grid-area: logo;
}
.footer__list {
  display: flex;
  flex-direction: column;
}
.footer__social{
  flex-direction: row;
  grid-area: social;
  gap: 24px;
  justify-self: end;
  padding-top: 8px;
}
.footer__contact{
  grid-area: contact;
  gap: 16px;
  padding-top: 8px;
}
.footer__copyright{
  grid-area: copyright;
  margin: 0;
}
.footer__developer{
  grid-area: developer;
  gap: 8px;
}
.footer__link_contact {
  display: flex;
  align-items: center;
  gap: 8px;
}

@media (max-width: 1240px) {
  .footer__container {
    column-gap: 86px;
    padding-top: 30px;
  }
}

@media (max-width: 920px) {
  .footer {
    font-size: 14px;
  }

  .footer__container {
    gap: 28px 74px;
    padding-top: 24px;
  }

  .footer__logo {
    width: 124px;
  }

  .footer__social {
    gap: 16px;
  }

  .footer__contact {
    gap: 8px;
  }
}

@media (max-width: 720px) {
  .footer__container {
    column-gap: 44px;
  }
}

@media (max-width: 560px) {
  .footer__container {
    display: flex;
    flex-direction: column;
    gap: 24px;
  }

  .footer__copyright {
    order: 2;
  }
}